package com.persagy.dmp.report.repository;

import com.persagy.dmp.report.entity.ReportRwdObject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

public interface ReportObjectRepository extends JpaRepository<ReportRwdObject, Integer>, QuerydslPredicateExecutor<ReportRwdObject> {

    @Modifying
    @Query(value = "delete from report_rwd_object where date_Type = ?1 and create_time >= ?2 and create_time < ?3", nativeQuery = true)
    void deleteDateType(String dateType, String start, String end);

}

